package me.map.example;

import me.map.example.command.TestCommand;
import me.map.example.listener.Luisteraar;
import me.map.ultimatekingdom.API.UltimateKingdom;

import me.map.ultimatekingdom.API.objects.KingdomPlayer;

import me.map.ultimatekingdom.API.objects.MapBuilder;
import org.bukkit.Bukkit;
import org.bukkit.event.HandlerList;

import org.bukkit.plugin.java.JavaPlugin;

import java.util.UUID;

import static me.map.example.nl_lang.Lang.eat_food;

public class Example extends JavaPlugin  {


    public void onDisable() {
        HandlerList.unregisterAll(this);
    }

    @Override
    public void onEnable() {

        Bukkit.getServer().getPluginManager().registerEvents(new Luisteraar() ,this);


        UltimateKingdom.getKingdomServer().Messages().I18n().registerLocaleConfig(new nl_lang()); //toevoegen teksten in een bepaalde taal.// .

        UltimateKingdom.getKingdomServer().Messages().getPlaceHolders().registerPlaceholders(new OwnPlaceHolderPack()); //eigen placeholder toevoegen.


        //toevoegen nieuwe commando
        new TestCommand();  // of als er geen register() in commando is -> new TestCommand().register();

        KingdomPlayer player = KingdomPlayer.get(UUID.randomUUID());

        //Zie ownPlaceholderPack
        Demo demo = new Demo();
        demo.setFood("pizza");
        demo.setName("Jan");

        player.send(false,eat_food,new MapBuilder()
                .put("kingdomplayer",player)
                .put("demo",demo)
                .build()
        );

    }
}


