package me.map.example;

import me.map.ultimatekingdom.API.languages.LanguageManager;
import org.bukkit.Bukkit;
import org.bukkit.configuration.file.YamlConfiguration;
import org.jetbrains.annotations.NotNull;

import java.io.File;
import java.util.Locale;
import java.util.Map;
import java.util.concurrent.ConcurrentHashMap;


public class nl_lang implements LanguageManager {

    private final String fileName = "NL.yml";
    private final String version = "1";
    private final Locale locale = Locale.forLanguageTag("nl");

    /**
     * Load the configuration file and check for missing keys
     *
     * @param file   to load
     * @param silent keep it silent
     * @return return YamlConfiguration object
     */
    @Override
    public YamlConfiguration getYamlConfiguration(@NotNull File file, boolean silent) {
        final YamlConfiguration conf = YamlConfiguration.loadConfiguration(file);

        for (final Lang item : Lang.values()) {
            if (conf.getString(item.toString()) == null) {
                conf.set(item.toString(), item.getValue());

                if (!silent) {
                    Bukkit.getServer().getConsoleSender().sendMessage(
                            "[UltimateKingdom] Add Missing Key: " + item);
                }
            }
            // always set version
            conf.set("version", this.version);
        }

        return conf;
    }

    public Locale getLocale() {
        return locale;
    }

    /**
     * Get a map with all values
     *
     * @return HashMap with strings,strings
     */
    @Override
    public Map<String, String> getMapWithValues() {
        Map<String, String> tmp = new ConcurrentHashMap();
        for (final Lang item : Lang.values()) {
            tmp.put(item.name(), item.getValue());
        }
        return tmp;
    }

    /**
     * Getter for filename
     *
     * @return filename
     */
    @Override
    public String getFileName() {
        return this.fileName;
    }

    /**
     * Translations
     */
    public enum Lang {

        demo_description("Dit is een demo command"),
        demo_extendedDescription("dit is een demo commando, en doet verder niets"),
        break_block("{green}{kingdomplayer.displayname} doet iets met block : {block.type.name}"),
        stupid_command("{green}hehhh...{white}{kingdomplayer.displayname} is lid van {red} {kingdomplayer.kingdom.displayname|niets}"),
        eat_food("{kingdomplayer.displayname} heeft de {demo.food} van  {demo.name}  opgegeten");

        private final String def;

        /**
         * @param def set def
         */
        Lang(String def) {
            this.def = def;
        }

        /**
         * Get the Stringt value of the path.
         *
         * @return The default value of the path.
         */
        public String getValue() {
            return this.def;
        }
    }
}
